<template>
    <form action="">
        <input name="username" type="text" :value="username" @input="handleChange"/>
        <input name="password" type="text" :v-model="password"/>
    </form>
</template>

<script>
export default {
    name: "Form",
    data: () => ({
        username: "",
        password: "",
    }),
    methods: {
        handleChange: function (event) {
            this[event.target.name] = event.target.value;
        },
    },
}
</script>